package com.zjrs.appcomm.template.word.exception;

public class IllegalMarkException extends IllegalArgumentException {

	private static final long serialVersionUID = 5827854409482666951L;

	private String mark;
	public String getMark() { return mark; }
	public void setMark(String mark) { this.mark = mark; }

	public IllegalMarkException(String message, String mark) {
		super(message);
		this.mark = mark;
	}

	public IllegalMarkException(String message, String mark, Throwable cause) {
		super(message + "(" + mark + ")", cause);
		this.mark = mark;
	}
	
}
